<?php

include 'api.php';

// ARGUMENTOS: USUARIO SALDO
if (isset($argv[1]) && isset($argv[2])) {

    $result = $magnusBilling->create('refill', [
        'id_user' => $magnusBilling->getId('user', 'username', $argv[1]),
        'credit' => floatval($argv[2]),
        'payment' => 1,
        'description' => 'Recarga Saldo'
    ]);

    if ($result['success'] == 1) {
        print("[201] OK id=" . $result['rows'][0]['id']);
    } else {
        print("[409] ERROR Ya existe una cuenta con mismo usuario.");
    }
    
} else {
    print("[404] ERROR No se han introducido todos los parámetros necesarios.");
}

